> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Add new transaction alert(s)

POST https://transaction-api.cable.tech/transaction_alert
Content-Type: application/json

Reference: https://docs.cable.tech/v-1-0/api-reference/transaction-data-api/alerts/add-transaction-alert

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of NewTransactionAlertRequestItems.

- `list of NewTransactionAlertRequestItems`

## Response

### 201

Transaction alert added successfully

- `alert_id` (string, required) — Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
- `timestamp` (datetime, required) — The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
- `status` (enum, optional)
  - Allowed values: `CREATED`, `PENDING`, `CLOSED`
- `check_type` (enum, optional) — The type of monitoring check that triggered the alert.
  - Allowed values: `INLINE_MONITORING`, `DELAYED_MONITORING`
- `related_check_id` (string, optional) — Unique identifier for a transaction check for which the alert belongs to.
- `additional_properties` (list of AdditionalProperties, optional) — Additional metadata that relates to a transaction alert.

## Errors

### 400 Bad Request Error

Invalid transaction alert data

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 401 Unauthorized Error

Unauthorized request

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 409 Conflict Error

Transaction alert already exists

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 429 Too Many Requests Error

Rate limit exceeded

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 500 Internal Server Error

Server error

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

## Types

### NewTransactionAlertRequestItems

- `alert_id` (string, required) — Unique identifier for a alert belonging to a transaction. This is the primary key for a transaction alert and should be unique across all transaction alerts. Updates to a transaction alert should be made using this identifier.
- `status` (enum, required)
  - Allowed values: `CREATED`, `PENDING`, `CLOSED`
- `timestamp` (datetime, required) — The time of the transaction alert. This should be in ISO 8601 format. When adding a new transaction alert, this field represents the creation time. When updating a transaction alert, this represents the time of the update.
- `check_type` (enum, optional) — The type of monitoring check that triggered the alert.
  - Allowed values: `INLINE_MONITORING`, `DELAYED_MONITORING`
- `related_check_id` (string, optional) — Unique identifier for a transaction check for which the alert belongs to.
- `additional_properties` (list of AdditionalProperties, optional) — Additional metadata that relates to a transaction alert.

### AdditionalProperties

Additional metadata that can be added to a payload, such as transaction checks, alerts, and suspicious activities.

- `key` (string, required) — The key of the additional property. This should be unique within the additional properties array.
- `value` (string, required) — The value of the additional property.
- `type` (enum, required) — The type of the additional property value, for example "string", "number", "boolean", "object", "array".
  - Allowed values: `STRING`, `NUMBER`, `BOOLEAN`, `OBJECT`, `ARRAY`
- `description` (string, required) — A description of the additional property. This should provide context for the value.

### GeneralErrorErrorsItems

- `field` (string, optional)
- `message` (string, optional)

## Examples

**Request**

```json
[
  {
    "alert_id": "alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]
```

**Response**

```json
{
  "alert_id": "alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
  "timestamp": "2024-01-15T09:30:00Z",
  "status": "CREATED",
  "check_type": "INLINE_MONITORING",
  "related_check_id": "check-4a3b2c1d-5678-9e01-2f3a-4b5c6d7e8f90",
  "additional_properties": [
    {
      "key": "transactionAmount",
      "value": "1500.00",
      "type": "NUMBER",
      "description": "The amount involved in the transaction alert"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://transaction-api.cable.tech/transaction_alert"

payload = [
    {
        "alert_id": "alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
        "timestamp": "2024-01-15T09:30:00Z"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://transaction-api.cable.tech/transaction_alert';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"alert_id":"alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b","timestamp":"2024-01-15T09:30:00Z"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://transaction-api.cable.tech/transaction_alert"

	payload := strings.NewReader("[\n  {\n    \"alert_id\": \"alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://transaction-api.cable.tech/transaction_alert")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"alert_id\": \"alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://transaction-api.cable.tech/transaction_alert")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"alert_id\": \"alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://transaction-api.cable.tech/transaction_alert', [
  'body' => '[
  {
    "alert_id": "alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
    "timestamp": "2024-01-15T09:30:00Z"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://transaction-api.cable.tech/transaction_alert");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"alert_id\": \"alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b\",\n    \"timestamp\": \"2024-01-15T09:30:00Z\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "alert_id": "alert-9f8b7c6d-1234-4e56-8a9b-0c1d2e3f4a5b",
    "timestamp": "2024-01-15T09:30:00Z"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://transaction-api.cable.tech/transaction_alert")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```